import Vue, { VNode } from 'vue';
import { BaseTableCol } from '../type';
declare const _default: import("vue/types/vue").ExtendedVue<Vue, unknown, {
    renderHeader(): Array<VNode>;
    renderTr(columns: Array<BaseTableCol>, currentRow: number, trContentList: Array<any>): any;
    renderCell(column: BaseTableCol, rowspan: number, colspan: number, index: number, withBorder?: boolean): VNode;
}, unknown, {
    columns: BaseTableCol<import("../type").TableRowData>[];
    bordered: boolean;
}>;
export default _default;
